### Method

# Clutter OffscreenEffect get_pipeline

#### Declaration [src]

    CoglPipeline*
    clutter_offscreen_effect_get_pipeline (
      ClutterOffscreenEffect* effect
    )

#### Description [src]

Retrieves the pipeline used as a render target for the offscreen buffer created by `effect`

You should only use the returned `CoglPipeline` when painting. The returned pipeline might change between different frames.

#### Return value

Type: `CoglPipeline`

A `CoglPipeline`. The pipeline is owned by Clutter and it should not be modified or freed.

The returned data is owned by the instance.
The return value can be `NULL`.